<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iCelEntityTemplate Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#ae0b4b111d1e0b30fd909fecab45882e2">AddClass</a>(csStringID cls)=0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#a4ce4b28d3043533bf9a88f0b0e2cce1b">AddMessage</a>(const char *msgid, iCelParameterBlock *params)=0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#ac47fe787a2379374ea60eb6fe3c5025b">CreatePropertyClassTemplate</a>()=0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#a1e92218b2c9390a23ce530e11f1a5dc1">GetBehaviour</a>() const =0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#a1ba93485bac47a92122aa3a29a96cedd">GetBehaviourLayer</a>() const =0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#a80b3e69c956b839b328a1a24939cc982">GetClasses</a>() const =0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#acf81c0aaaf027783db9fb0dbd4422d65">GetName</a>() const =0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#a6ad2194d5e574a7e901518ae89ead470">HasClass</a>(csStringID cls)=0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#aceccd02f43b6dd7dd98f698341cf9f4a">QueryObject</a>()=0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#aff21f1484e1dcb3db093423d0e03588f">RemoveClass</a>(csStringID cls)=0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#ab01c190812566b105f23b081cdcbdb96">SetBehaviour</a>(const char *layer, const char *behaviour)=0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelEntityTemplate.html#ad7e62f9e9c0f99e7ede6edc8c0e37632">SetName</a>(const char *n)=0</td><td><a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
